> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job

Returns a job by its ID, useful to check the status of a job.


## OpenAPI

````yaml GET /v1/members/jobs/{jobId}
openapi: 3.0.2
info:
  title: BMO Partner API
  version: v1
servers:
  - url: https://api.onsi.com
    description: Production
  - url: https://api.onsi.dev
    description: Sandbox
security:
  - apiKey: []
paths:
  /v1/members/jobs/{jobId}:
    get:
      tags:
        - members
      operationId: getJob
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    example: maj_cltd2zp7100096tmbamb9c46o
                    type: string
                  progress:
                    type: object
                    properties:
                      type:
                        example: Processing
                        type: string
                        enum:
                          - Processing
                          - Completed
                          - AwaitingReview
                          - NotReady
                          - Rejected
                      totalActions:
                        example: 100
                        type: number
                      totalComplete:
                        example: 85
                        type: number
                      totalProcessing:
                        example: 15
                        type: number
                    required:
                      - type
                      - totalActions
                      - totalComplete
                      - totalProcessing
                    additionalProperties: false
                  createdAt:
                    example: '2024-01-01'
                    type: string
                required:
                  - id
                  - progress
                  - createdAt
                additionalProperties: false
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````